Api
Store Order_get Order
Look up an order by ID.
For authenticated customers, validates the order belongs to them.
For guest customers, requires a valid token query parameter
(the access token returned from checkout).
curl -X GET "https://loading/v1/store/orders/string"{
"amountPaid": 0,
"codFee": 0,
"createdAt": "2019-08-24T14:15:22Z",
"customerNotes": "string",
"discountTotal": 0,
"id": "string",
"items": [
{
"id": "string",
"price": 0,
"productVariant": {
"id": "string",
"images": [
"string"
],
"optionValues": {
"property1": "string",
"property2": "string"
},
"product": {
"id": "string",
"name": "string"
}
},
"quantity": 0
}
],
"orderNumber": "string",
"paymentMethod": "string",
"paymentStatus": "string",
"shippingAddress": {
"property1": null,
"property2": null
},
"shippingFee": 0,
"status": "string",
"subtotal": 0,
"totalPrice": 0,
"tracking": {
"status": "string",
"trackingNumber": "string"
}
}